%define  desktop_vendor fedora

Name:  phasex
Version: 0.11.1
Release: 4%{?dist}
Summary: PHASEX -- Phase Harmonic Advanced Synthesis EXperiment
Group:  Applications/Multimedia
License: GPLv2
URL:  http://sysex.net/phasex/

Source0: http://sysex.net/phasex/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: glibc-devel >= 2.3.0
BuildRequires: alsa-lib-devel >= 0.9.0
BuildRequires: jack-audio-connection-kit-devel >= 0.99.0
BuildRequires: gtk2-devel >= 2.4.0
BuildRequires: perl
BuildRequires: desktop-file-utils
Requires: glibc >= 2.3.0
Requires: alsa-lib >= 0.9.0
Requires: jack-audio-connection-kit >= 0.99.0
Requires: gtk2 >= 2.4.0

%description
PHASEX is an experimental JACK audio / ALSA MIDI softsynth for Linux
with a synth engine built around flexible phase modulation and
flexible oscillator/LFO sourcing.  Modulations include AM, FM, offset
PM, and wave select.  PHASEX comes equipped with a 12db/octave filter
with two distortion curves, a stereo crossover delay and chorus with
phaser, ADSR envelopes for amplifier and filter, realtime audio input
processing capabilities, and more.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

for s in 16 22 32 48 ; do
    %{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps
    %{__cp} %{buildroot}%{_datadir}/phasex/pixmaps/phasex-icon-${s}x${s}.png \
            %{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps/phasex-icon.png
done

BASE="AudioVideo Audio"
XTRA="X-MIDI X-Digital_Processing X-Jack"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  $RPM_BUILD_ROOT%{_datadir}/phasex/%{name}.desktop

rm $RPM_BUILD_ROOT%{_datadir}/phasex/phasex.desktop

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING
%{_bindir}/phasex
%dir %{_datadir}/phasex
%dir %{_datadir}/phasex/help
%dir %{_datadir}/phasex/pixmaps
%dir %{_datadir}/phasex/sys-midimaps
%dir %{_datadir}/phasex/sys-patches
%{_datadir}/phasex/patchbank
%{_datadir}/phasex/help/*
%{_datadir}/phasex/pixmaps/*
%{_datadir}/phasex/sys-midimaps/*
%{_datadir}/phasex/sys-patches/*
%{_datadir}/applications/%{desktop_vendor}-phasex.desktop
%{_datadir}/icons/hicolor/*/apps/phasex-icon.png

%changelog
* Mon Oct 22 2007 Anthony Green <green@redhat.com> - 0.11.1-4
- Fix tagging problem.

* Thu Oct 18 2007 Parag AN <panemade@gmail.com> - 0.11.1-3
- Really delete extra .desktop file after installation.

* Tue Oct 16 2007 Anthony Green <green@redhat.com> - 0.11.1-2
- Delete extra .desktop file after installation.
- Clean up .desktop file categories.

* Tue Oct 16 2007 Anthony Green <green@redhat.com> - 0.11.1-1
- First Fedora build.

* Tue Aug  7 2007 William Weston <weston@sysex.net> - 0.11.0-0
- Updated for 0.11.0.

* Thu May 24 2007 William Weston <weston@sysex.net> - 0.10.3-0
- Updated for 0.10.3.

* Tue May 15 2007 William Weston <weston@sysex.net> - 0.10.2-0
- Updated for 0.10.2.

* Thu May  3 2007 William Weston <weston@sysex.net> - 0.10.1-0
- Added README and COPYING to doc install.
- Updated for 0.10.1.

* Tue May  1 2007 William Weston <weston@sysex.net> - 0.10.0-0
- Initial RPM spec file.
